bumper
Device proxies

The bumper proxy provides an interface to the bumper sensors built into robots such as the RWI B21R. More...

## Classes

struct | playerc_bumper_t
| Bumper proxy data. More...

## Functions

PLAYERC_EXPORT playerc_bumper_t * | playerc_bumper_create (playerc_client_t *client, int index)
| Create a bumper proxy. More...
PLAYERC_EXPORT void | playerc_bumper_destroy (playerc_bumper_t *device)
| Destroy a bumper proxy. More...
PLAYERC_EXPORT int | playerc_bumper_subscribe (playerc_bumper_t *device, int access)
| Subscribe to the bumper device. More...
PLAYERC_EXPORT int | playerc_bumper_unsubscribe (playerc_bumper_t *device)
| Un-subscribe from the bumper device. More...
PLAYERC_EXPORT int | playerc_bumper_get_geom (playerc_bumper_t *device)
| Get the bumper geometry. More...

## Detailed Description

The bumper proxy provides an interface to the bumper sensors built into robots such as the RWI B21R.

## Function Documentation

PLAYERC_EXPORT playerc_bumper_t* playerc_bumper_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a bumper proxy.

PLAYERC_EXPORT void playerc_bumper_destroy | ( | playerc_bumper_t * | device | ) |

Destroy a bumper proxy.

PLAYERC_EXPORT int playerc_bumper_get_geom | ( | playerc_bumper_t * | device | ) |

Get the bumper geometry.

The writes the result into the proxy rather than returning it to the caller.

PLAYERC_EXPORT int playerc_bumper_subscribe | ( | playerc_bumper_t * | device,
|  | int | access
| ) |  |

Subscribe to the bumper device.

PLAYERC_EXPORT int playerc_bumper_unsubscribe | ( | playerc_bumper_t * | device | ) |

Un-subscribe from the bumper device.

Last updated 12 September 2005 21:38:45